org.eclipse.cdt.core.dom.ast.tag

## Interface IWritableTag

All Superinterfaces:
  ITag

    public interface IWritableTag
    extends ITag

Tags are used to annotate `ITagWriter`'s with extra information. They are created by implementations of `IBindingTagger` which are contributed using the org.eclipse.cdt.core.tagger extension point.

Since:
  5.5
See Also:
  `IBindingTagger`, `ITagReader`, `ITagWriter`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.tag.ITag

`FAIL`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `putByte(int offset, byte data)` Writes the given byte to the given offset in the tag.
`boolean` `putBytes(int offset, byte[] data, int len)` Writes the argument buffer into the receiver's payload starting at the specified offset.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.tag.ITag

`getByte, getBytes, getDataLen, getTaggerId`

### Method Detail

#### putByte

    boolean putByte(int offset,
                    byte data)

Writes the given byte to the given offset in the tag. Returns `true` if successful.

#### putBytes

    boolean putBytes(int offset,
                     byte[] data,
                     int len)

Writes the argument buffer into the receiver's payload starting at the specified offset. Writes the specified number of bytes or the full buffer when `len` is -1. Returns `true` if successful.